/[gentoo-x86]/eclass/cmake-utils.eclass
Gentoo

Diff of /eclass/cmake-utils.eclass

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.49 Revision 1.50
1# Copyright 1999-2010 Gentoo Foundation 1# Copyright 1999-2010 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/eclass/cmake-utils.eclass,v 1.49 2010/04/10 02:20:59 reavertm Exp $ 3# $Header: /var/cvsroot/gentoo-x86/eclass/cmake-utils.eclass,v 1.50 2010/04/30 23:41:11 abcd Exp $
4 4
5# @ECLASS: cmake-utils.eclass 5# @ECLASS: cmake-utils.eclass
6# @MAINTAINER: 6# @MAINTAINER:
7# kde@gentoo.org 7# kde@gentoo.org
8# 8#
25# Specify if cmake-utils eclass should depend on cmake optionaly or not. 25# Specify if cmake-utils eclass should depend on cmake optionaly or not.
26# This is usefull when only part of aplication is using cmake build system. 26# This is usefull when only part of aplication is using cmake build system.
27# Valid values are: always [default], optional (where the value is the useflag 27# Valid values are: always [default], optional (where the value is the useflag
28# used for optionality) 28# used for optionality)
29WANT_CMAKE="${WANT_CMAKE:-always}" 29WANT_CMAKE="${WANT_CMAKE:-always}"
30
31# @ECLASS-VARIABLE: CMAKE_MIN_VER
32# @DESCRIPTION:
33# Specify the minimum allowable version of cmake. Defaults to 2.6.2-r1
34CMAKE_MIN_VER="${CMAKE_MIN_VER:-2.6.2-r1}"
35
30CMAKEDEPEND="" 36CMAKEDEPEND=""
31case ${WANT_CMAKE} in 37case ${WANT_CMAKE} in
32 always) 38 always)
33 ;; 39 ;;
34 *) 40 *)
47EXPORT_FUNCTIONS ${CMAKE_EXPF} 53EXPORT_FUNCTIONS ${CMAKE_EXPF}
48 54
49: ${DESCRIPTION:="Based on the ${ECLASS} eclass"} 55: ${DESCRIPTION:="Based on the ${ECLASS} eclass"}
50 56
51if [[ ${PN} != cmake ]]; then 57if [[ ${PN} != cmake ]]; then
52 CMAKEDEPEND+=">=dev-util/cmake-2.6.2-r1" 58 CMAKEDEPEND+=">=dev-util/cmake-${CMAKE_MIN_VER}"
53fi 59fi
54 60
55CMAKEDEPEND+=" userland_GNU? ( >=sys-apps/findutils-4.4.0 )" 61CMAKEDEPEND+=" userland_GNU? ( >=sys-apps/findutils-4.4.0 )"
56 62
57[[ ${WANT_CMAKE} = always ]] || CMAKEDEPEND+=" )" 63[[ ${WANT_CMAKE} = always ]] || CMAKEDEPEND+=" )"

Legend:
Removed from v.1.49  
changed lines
  Added in v.1.50

  ViewVC Help
Powered by ViewVC 1.1.20